Bulletin d'alerte Debian

DSA-374-1 libpam-smb -- Dépassement de tampon

Date du rapport :
26 août 2003
Paquets concernés :
libpam-smb
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans la base de données de suivi des bogues (chez SecurityFocus) : Identifiant BugTraq 8491.
Dans le dictionnaire CVE du Mitre : CVE-2003-0686.
Plus de précisions :

libpam-smb est un module d'authentification PAM qui permet d'identifier les utilisateurs avec une base de donnée de mots de passe gérée par Samba ou un serveur Microsoft Windows. Si un long mot de passe est fourni, cela peut causer un dépassement de tampon. Son exploitation permettait d'exécuter n'importe quel code avec les privilèges du processus qui requérait les services de PAM.

Pour la distribution stable (Woody), ce problème a été corrigé dans la version 1.1.6-1.1woody1.

La distribution instable (Sid) ne contient pas le paquet libpam-smb.

Nous vous recommandons de mettre à jour votre paquet libpam-smb.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1.dsc
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1.diff.gz
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/libp/libpam-smb/libpam-smb_1.1.6-1.1woody1_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.